cURL
curl --request POST \ --url 'https://api.flashcat.cloud/rum/application/list?app_key=' \ --header 'Content-Type: application/json' \ --data ' { "p": 1, "limit": 20, "query": "", "is_my_team": false } '
{ "request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4", "data": { "has_next_page": true, "total": 7, "items": [ { "account_id": 2451002751131, "application_id": "WoyQQ3BohkdtPivubEvE8o", "application_name": "flashcat-rum", "type": "browser", "client_token": "a3cea433a8685a398cdfd68f54a45e06131", "team_id": 2477033058131, "is_private": true, "no_ip": true, "no_geo": false, "alerting": { "enabled": true, "channel_ids": [ 2490121812131 ], "integration_id": 4759595678131 }, "tracing": { "enabled": false, "open_type": "", "endpoint": "" }, "status": "enabled", "created_by": 4441703362131, "updated_by": 3790925372131, "created_at": 1746673831462, "updated_at": 1773398630657 }, { "account_id": 2451002751131, "application_id": "eWbr4xk3ZRnLabRa6unqwD", "application_name": "Flashduty DEV", "type": "browser", "client_token": "ce8d1be90fc6534f89ce36ebf526765e131", "team_id": 2477033058131, "is_private": false, "no_ip": false, "no_geo": false, "alerting": { "enabled": true, "channel_ids": [ 5962711836131, 5967875767131 ], "integration_id": 4759595678131 }, "tracing": { "enabled": true, "open_type": "popup", "endpoint": "https://www.tracing.com/${trace_id}" }, "status": "enabled", "created_by": 2476444212131, "updated_by": 3122470302131, "created_at": 1742958482000, "updated_at": 1772096392711 } ] } }
返回当前用户可访问的 RUM 应用分页列表。
app_key
is_my_team
orderby
created_at
updated_at
在 Flashduty 控制台 账户 → APP Key 中签发的 app_key。调用任何公开 API 时都必须携带。它等同于所属账户的身份凭证,请妥善保管。
查询 RUM 应用列表的过滤参数。
页码(从 1 开始),默认 1。
每页条数,范围 1–100,默认 20。
排序字段。
为 true 时升序排列。
true
按应用名称搜索。
按团队 ID 过滤。
为 true 时仅返回当前用户所在团队的应用。
成功
成功响应结构。2xx 响应中 request_id 标识本次调用(同时出现在 Flashcat-Request-Id 响应头中),data 为接口业务 payload。失败响应使用不同结构,参见 ErrorResponse。
request_id
Flashcat-Request-Id
data
ErrorResponse
本次请求的唯一 ID,也会在 Flashcat-Request-Id 响应头中返回。反馈问题时请一并附上。
"01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
RUM 应用分页列表。
Show child attributes
此页面对您有帮助吗?